package com.bonus.sgzb.material.mapper;

import com.bonus.sgzb.material.domain.IotLocationVo;
import com.bonus.sgzb.material.domain.ReportAlarm;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface ReportAlarmMapper {

    int add(ReportAlarm reportAlarm);


    int deleteById(Long id);


    int update(ReportAlarm reportAlarm);


    ReportAlarm selectByDeviceAlarmId(@Param("DeviceAlarmId") String DeviceAlarmId);

    List<ReportAlarm> selectByIotCode(IotLocationVo iotLocationVo);
}
